<?php
	class Hc_roles_model extends MY_Model{

		protected $_table_name = 'hc_role';
		protected $_order_by = 'hc_role.id';

		public function __construct(){
			parent::__construct();
		}

		public $rules = array(

			'role_name' => array(
				'field' => 'role_name', 
				'label' => 'Role name', 
				'rules' => 'trim|required|xss_clean|max_length[255]'
			)
		);

		public function get_new(){
			$roles = new stdClass();
			$roles->role_name = '';
			$roles->is_active = '';

			return $roles;
		}
	}
?>